Bug 22568 - Replace RSS icon in the OPAC with Font Awesome
Summary: Replace RSS icon in the OPAC with Font Awesome
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 13782
  Show dependency treegraph
 
Reported: 2019-03-22 17:38 UTC by Owen Leonard
Modified: 2019-04-15 10:44 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22568: Replace RSS icon in the OPAC with Font Awesome (13.07 KB, patch)
2019-03-22 17:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22568: Replace RSS icon in the OPAC with Font Awesome (13.15 KB, patch)
2019-03-25 14:35 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22568: Replace RSS icon in the OPAC with Font Awesome (13.21 KB, patch)
2019-03-31 17:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-03-22 17:38:12 UTC
I propose that we replace the RSS icon image in the OPAC with a styled Font Awesome RSS icon.
Comment 1 Owen Leonard 2019-03-22 17:48:56 UTC
Created attachment 86924 [details] [review]
Bug 22568: Replace RSS icon in the OPAC with Font Awesome

This patch removes the RSS icon image (feed-icon-16x16.png) from the
OPAC and replaces it with Font Awesome icons styled to match.

To test, apply the patch and regenerate the OPAC CSS. View the
following pages, confirming that the RSS icon looks correct:

 - OPAC home page (RSS news icon)
 - Search results page (Subscribe to search)
 - Recent comments
 - Search history
 - Lists -> View list
Comment 2 Liz Rea 2019-03-25 14:35:46 UTC
Created attachment 86977 [details] [review]
Bug 22568: Replace RSS icon in the OPAC with Font Awesome

This patch removes the RSS icon image (feed-icon-16x16.png) from the
OPAC and replaces it with Font Awesome icons styled to match.

To test, apply the patch and regenerate the OPAC CSS. View the
following pages, confirming that the RSS icon looks correct:

 - OPAC home page (RSS news icon)
 - Search results page (Subscribe to search)
 - Recent comments
 - Search history
 - Lists -> View list

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Katrin Fischer 2019-03-31 17:53:45 UTC
Created attachment 87244 [details] [review]
Bug 22568: Replace RSS icon in the OPAC with Font Awesome

This patch removes the RSS icon image (feed-icon-16x16.png) from the
OPAC and replaces it with Font Awesome icons styled to match.

To test, apply the patch and regenerate the OPAC CSS. View the
following pages, confirming that the RSS icon looks correct:

 - OPAC home page (RSS news icon)
 - Search results page (Subscribe to search)
 - Recent comments
 - Search history
 - Lists -> View list

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-04-05 13:08:47 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-15 10:44:36 UTC
Enhancement, will not be backported to 18.11.x series.